# Documentation {#documentation}

@sphinxdirective

.. meta::
   :description: Explore the OpenVINO toolkit workflow that entails preparing, 
                 optimizing and deploying models in deep learning applications.


.. toctree::
   :maxdepth: 1
   :hidden:

   API Reference <api/api_reference>
   OpenVINO IR format and Operation Sets <openvino_ir> 
   Legacy Features <openvino_legacy_features> 
   Tool Ecosystem <openvino_ecosystem>
   OpenVINO Extensibility <openvino_docs_Extensibility_UG_Intro>
   OpenVINO™ Security <openvino_docs_security_guide_introduction>


This section provides reference documents that guide you through the OpenVINO toolkit workflow, from preparing models, optimizing them, to deploying them in your own deep learning applications.

| :doc:`API Reference doc path <api/api_reference>`
| A collection of reference articles for OpenVINO C++, C, and Python APIs. 

| :doc:`OpenVINO Ecosystem <openvino_ecosystem>`
| Apart from the core components, OpenVINO offers tools, plugins, and expansions revolving around it, even if not constituting necessary parts of its workflow. This section gives you an overview of what makes up the OpenVINO toolkit.

| :doc:`OpenVINO Extensibility Mechanism <openvino_docs_Extensibility_UG_Intro>`
| The Intel® Distribution of OpenVINO™ toolkit supports neural network models trained with various frameworks, including TensorFlow, PyTorch, ONNX, TensorFlow Lite, and PaddlePaddle (OpenVINO support for Apache MXNet, Caffe, and Kaldi is being deprecated and will be removed in the future). Learn how to extend OpenVINO functionality with custom settings. 

| :doc:`OpenVINO™ Security <openvino_docs_security_guide_introduction>`
| Learn how to use OpenVINO securely and protect your data to meet specific security and privacy requirements. 

@endsphinxdirective
