# OpenVINO™ Ecosystem Overview {#openvino_ecosystem}

@sphinxdirective

.. meta::
   :description: OpenVINO™ ecosystem offers various resources for developing deep learning solutions.


.. toctree::
   :maxdepth: 1
   :hidden:

   ote_documentation
   datumaro_documentation
   ovsa_get_started


OpenVINO™ is not just one tool. It is an expansive ecosystem of utilities, providing a comprehensive workflow for deep learning solution development. Learn more about each of them to reach the full potential of OpenVINO™ Toolkit.


**Neural Network Compression Framework (NNCF)**

A suite of advanced algorithms for Neural Network inference optimization with minimal accuracy drop. NNCF applies quantization, filter pruning, binarization and sparsity algorithms to PyTorch and TensorFlow models during training.

More resources:

* :doc:`Documentation <tmo_introduction>`  
* `GitHub <https://github.com/openvinotoolkit/nncf>`__  
* `PyPI <https://pypi.org/project/nncf/>`__  
* `Conda Forge <https://anaconda.org/conda-forge/nncf/>`__  


**OpenVINO™ Training Extensions**

A convenient environment to train Deep Learning models and convert them using the OpenVINO™ toolkit for optimized inference.

More resources:

* :doc:`Overview <ote_documentation>`
* `GitHub <https://github.com/openvinotoolkit/training_extensions>`__
* `Documentation <https://openvinotoolkit.github.io/training_extensions/stable/guide/get_started/introduction.html>`__

**OpenVINO™ Security Add-on**

A solution for Model Developers and Independent Software Vendors to use secure packaging and secure model execution.	 

More resources:

* :doc:`Documentation <ovsa_get_started>`
* `GitHub <https://github.com/openvinotoolkit/security_addon>`__  

**Dataset Management Framework (Datumaro)**

A framework and CLI tool to build, transform, and analyze datasets.

More resources:
 
* :doc:`Overview <datumaro_documentation>`
* `PyPI <https://pypi.org/project/datumaro/>`__  
* `GitHub <https://github.com/openvinotoolkit/datumaro>`__  
* `Documentation <https://openvinotoolkit.github.io/datumaro/stable/docs/get-started/introduction.html>`__ 



@endsphinxdirective

