# Install OpenVINO™ Runtime for macOS {#openvino_docs_install_guides_installing_openvino_macos_header}

@sphinxdirective

.. meta::
   :description: Learn how to install OpenVINO™ Runtime on macOS operating 
                 system. You can use an archive, a PyPi package, Conda Forge 
                 or Homebrew.


.. toctree::
   :maxdepth: 3
   :hidden:

   Use Archive <openvino_docs_install_guides_installing_openvino_from_archive_macos>
   Use Homebrew <openvino_docs_install_guides_installing_openvino_brew>
   Use PyPI <openvino_docs_install_guides_installing_openvino_pip>
   Use Conda Forge <openvino_docs_install_guides_installing_openvino_conda>
   Use vcpkg <openvino_docs_install_guides_installing_openvino_vcpkg>
   Use Conan <openvino_docs_install_guides_installing_openvino_conan>


If you want to install OpenVINO™ Runtime on macOS, you have the following options:


* :doc:`Install OpenVINO using an Archive File <openvino_docs_install_guides_installing_openvino_from_archive_macos>`
* :doc:`Install OpenVINO using PyPI <openvino_docs_install_guides_installing_openvino_pip>`
* :doc:`Install OpenVINO using Conda Forge <openvino_docs_install_guides_installing_openvino_conda>`
* :doc:`Install OpenVINO using Homebrew <openvino_docs_install_guides_installing_openvino_brew>`
* :doc:`Install OpenVINO using vcpkg <openvino_docs_install_guides_installing_openvino_vcpkg>`
* :doc:`Install OpenVINO using Conan Package Manager <openvino_docs_install_guides_installing_openvino_conan>`



@endsphinxdirective