# Install OpenVINO™ Runtime on Windows {#openvino_docs_install_guides_installing_openvino_windows_header}

@sphinxdirective

.. meta::
   :description: Learn how to install OpenVINO™ Runtime on Windows operating 
                 system. You can use an archive, a PyPi package, Conda Forge, 
                 or a Docker image.


.. toctree::
   :maxdepth: 3
   :hidden:

   Use Archive <openvino_docs_install_guides_installing_openvino_from_archive_windows>
   Use PyPI <openvino_docs_install_guides_installing_openvino_pip>
   Use Conda Forge <openvino_docs_install_guides_installing_openvino_conda>
   Use vcpkg <openvino_docs_install_guides_installing_openvino_vcpkg>
   Use Docker <openvino_docs_install_guides_installing_openvino_docker>
   Use Conan <openvino_docs_install_guides_installing_openvino_conan>



If you want to install OpenVINO™ Runtime on Windows, you have the following options:

* :doc:`Install OpenVINO using an Archive File <openvino_docs_install_guides_installing_openvino_from_archive_windows>`
* :doc:`Install OpenVINO using PyPI <openvino_docs_install_guides_installing_openvino_pip>`
* :doc:`Install OpenVINO using Conda Forge <openvino_docs_install_guides_installing_openvino_conda>`
* :doc:`Install OpenVINO using vcpkg <openvino_docs_install_guides_installing_openvino_vcpkg>`
* :doc:`Install OpenVINO using Docker <openvino_docs_install_guides_installing_openvino_docker>`
* :doc:`Install OpenVINO using Conan Package Manager <openvino_docs_install_guides_installing_openvino_conan>`


@endsphinxdirective
